// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.AddinAuthoring {
    
    
    public partial class ExtensionEditorWidget {
        
        private Gtk.VBox vbox2;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Button buttonAdd;
        
        private Gtk.Button addNodeButton;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Image image445;
        
        private Gtk.Label label1;
        
        private Gtk.Arrow arrow1;
        
        private Gtk.Button buttonRemove;
        
        private Gtk.VSeparator vseparator2;
        
        private Gtk.Button buttonProperties;
        
        private Gtk.HBox hbox4;
        
        private Gtk.ScrolledWindow scrolledwindow6;
        
        private Gtk.TreeView tree;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.AddinAuthoring.ExtensionEditorWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.AddinAuthoring.ExtensionEditorWidget";
            // Container child MonoDevelop.AddinAuthoring.ExtensionEditorWidget.Gtk.Container+ContainerChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 3;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 3;
            // Container child hbox1.Gtk.Box+BoxChild
            this.buttonAdd = new Gtk.Button();
            this.buttonAdd.CanFocus = true;
            this.buttonAdd.Name = "buttonAdd";
            this.buttonAdd.UseUnderline = true;
            this.buttonAdd.Relief = ((Gtk.ReliefStyle)(2));
            // Container child buttonAdd.Gtk.Container+ContainerChild
            Gtk.Alignment w1 = new Gtk.Alignment(0.5F, 0.5F, 0F, 0F);
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            Gtk.HBox w2 = new Gtk.HBox();
            w2.Spacing = 2;
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Image w3 = new Gtk.Image();
            w3.Pixbuf = Stetic.IconLoader.LoadIcon(this, "md-extension-point", Gtk.IconSize.Menu, 16);
            w2.Add(w3);
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Label w5 = new Gtk.Label();
            w5.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Select Extension Points");
            w5.UseUnderline = true;
            w2.Add(w5);
            w1.Add(w2);
            this.buttonAdd.Add(w1);
            this.hbox1.Add(this.buttonAdd);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.hbox1[this.buttonAdd]));
            w9.Position = 0;
            w9.Expand = false;
            w9.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.addNodeButton = new Gtk.Button();
            this.addNodeButton.CanFocus = true;
            this.addNodeButton.Name = "addNodeButton";
            this.addNodeButton.Relief = ((Gtk.ReliefStyle)(2));
            // Container child addNodeButton.Gtk.Container+ContainerChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.image445 = new Gtk.Image();
            this.image445.Name = "image445";
            this.image445.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-add", Gtk.IconSize.Menu, 16);
            this.hbox2.Add(this.image445);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.hbox2[this.image445]));
            w10.Position = 0;
            w10.Expand = false;
            w10.Fill = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Add Node");
            this.hbox2.Add(this.label1);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.hbox2[this.label1]));
            w11.Position = 1;
            w11.Expand = false;
            w11.Fill = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.arrow1 = new Gtk.Arrow(((Gtk.ArrowType)(1)), ((Gtk.ShadowType)(2)));
            this.arrow1.Name = "arrow1";
            this.hbox2.Add(this.arrow1);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.hbox2[this.arrow1]));
            w12.Position = 2;
            w12.Expand = false;
            w12.Fill = false;
            this.addNodeButton.Add(this.hbox2);
            this.addNodeButton.Label = null;
            this.hbox1.Add(this.addNodeButton);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.hbox1[this.addNodeButton]));
            w14.Position = 1;
            w14.Expand = false;
            w14.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.buttonRemove = new Gtk.Button();
            this.buttonRemove.CanFocus = true;
            this.buttonRemove.Name = "buttonRemove";
            this.buttonRemove.UseUnderline = true;
            this.buttonRemove.Relief = ((Gtk.ReliefStyle)(2));
            // Container child buttonRemove.Gtk.Container+ContainerChild
            Gtk.Alignment w15 = new Gtk.Alignment(0.5F, 0.5F, 0F, 0F);
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            Gtk.HBox w16 = new Gtk.HBox();
            w16.Spacing = 2;
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Image w17 = new Gtk.Image();
            w17.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-remove", Gtk.IconSize.Menu, 16);
            w16.Add(w17);
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Label w19 = new Gtk.Label();
            w19.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Remove");
            w19.UseUnderline = true;
            w16.Add(w19);
            w15.Add(w16);
            this.buttonRemove.Add(w15);
            this.hbox1.Add(this.buttonRemove);
            Gtk.Box.BoxChild w23 = ((Gtk.Box.BoxChild)(this.hbox1[this.buttonRemove]));
            w23.Position = 2;
            w23.Expand = false;
            w23.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.vseparator2 = new Gtk.VSeparator();
            this.vseparator2.Name = "vseparator2";
            this.hbox1.Add(this.vseparator2);
            Gtk.Box.BoxChild w24 = ((Gtk.Box.BoxChild)(this.hbox1[this.vseparator2]));
            w24.Position = 3;
            w24.Expand = false;
            w24.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.buttonProperties = new Gtk.Button();
            this.buttonProperties.CanFocus = true;
            this.buttonProperties.Name = "buttonProperties";
            this.buttonProperties.UseUnderline = true;
            this.buttonProperties.Relief = ((Gtk.ReliefStyle)(2));
            // Container child buttonProperties.Gtk.Container+ContainerChild
            Gtk.Alignment w25 = new Gtk.Alignment(0.5F, 0.5F, 0F, 0F);
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            Gtk.HBox w26 = new Gtk.HBox();
            w26.Spacing = 2;
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Image w27 = new Gtk.Image();
            w27.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-edit", Gtk.IconSize.Menu, 16);
            w26.Add(w27);
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Label w29 = new Gtk.Label();
            w29.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Properties");
            w29.UseUnderline = true;
            w26.Add(w29);
            w25.Add(w26);
            this.buttonProperties.Add(w25);
            this.hbox1.Add(this.buttonProperties);
            Gtk.Box.BoxChild w33 = ((Gtk.Box.BoxChild)(this.hbox1[this.buttonProperties]));
            w33.Position = 4;
            w33.Expand = false;
            w33.Fill = false;
            this.vbox2.Add(this.hbox1);
            Gtk.Box.BoxChild w34 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox1]));
            w34.Position = 0;
            w34.Expand = false;
            w34.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox4 = new Gtk.HBox();
            this.hbox4.Name = "hbox4";
            this.hbox4.Spacing = 6;
            // Container child hbox4.Gtk.Box+BoxChild
            this.scrolledwindow6 = new Gtk.ScrolledWindow();
            this.scrolledwindow6.CanFocus = true;
            this.scrolledwindow6.Name = "scrolledwindow6";
            this.scrolledwindow6.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow6.Gtk.Container+ContainerChild
            this.tree = new Gtk.TreeView();
            this.tree.CanFocus = true;
            this.tree.Name = "tree";
            this.tree.HeadersClickable = true;
            this.scrolledwindow6.Add(this.tree);
            this.hbox4.Add(this.scrolledwindow6);
            Gtk.Box.BoxChild w36 = ((Gtk.Box.BoxChild)(this.hbox4[this.scrolledwindow6]));
            w36.Position = 0;
            this.vbox2.Add(this.hbox4);
            Gtk.Box.BoxChild w37 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox4]));
            w37.Position = 1;
            this.Add(this.vbox2);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.buttonAdd.Clicked += new System.EventHandler(this.OnButtonAddClicked);
            this.addNodeButton.Pressed += new System.EventHandler(this.OnAddNodeButtonPressed);
            this.buttonRemove.Clicked += new System.EventHandler(this.OnButtonRemoveClicked);
            this.buttonProperties.Clicked += new System.EventHandler(this.OnButtonPropertiesClicked);
            this.tree.PopupMenu += new Gtk.PopupMenuHandler(this.OnTreePopupMenu);
            this.tree.ButtonReleaseEvent += new Gtk.ButtonReleaseEventHandler(this.OnTreeButtonReleaseEvent);
        }
    }
}
